Join us on May 20th for the Content + AI Virtual Summit. Register now
curl -i -X POST "https://api.box.com/2.0/shield_information_barrier_segment_restrictions" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"type": "shield_information_barrier_segment_restriction",
"shield_information_barrier_segment": {
"id": "1910967",
"type": "shield_information_barrier_segment"
},
"restricted_segment": {
"id": "1910967",
"type": "shield_information_barrier_segment"
}
}'{
"shield_information_barrier_segment": {
"id": "1910967",
"type": "shield_information_barrier_segment"
},
"restricted_segment": {
"id": "1910967",
"type": "shield_information_barrier_segment"
},
"type": "shield_information_barrier_segment_restriction",
"id": "11446498",
"shield_information_barrier": {
"id": "11446498",
"type": "shield_information_barrier"
},
"created_at": "2020-06-26T18:44:45.869Z",
"created_by": {
"id": "11446498",
"type": "user"
},
"updated_at": "2020-07-26T18:44:45.869Z",
"updated_by": {
"id": "11446498",
"type": "user"
}
}Creates a shield information barrier segment restriction object.
curl -i -X POST "https://api.box.com/2.0/shield_information_barrier_segment_restrictions" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"type": "shield_information_barrier_segment_restriction",
"shield_information_barrier_segment": {
"id": "1910967",
"type": "shield_information_barrier_segment"
},
"restricted_segment": {
"id": "1910967",
"type": "shield_information_barrier_segment"
}
}'{
"shield_information_barrier_segment": {
"id": "1910967",
"type": "shield_information_barrier_segment"
},
"restricted_segment": {
"id": "1910967",
"type": "shield_information_barrier_segment"
},
"type": "shield_information_barrier_segment_restriction",
"id": "11446498",
"shield_information_barrier": {
"id": "11446498",
"type": "shield_information_barrier"
},
"created_at": "2020-06-26T18:44:45.869Z",
"created_by": {
"id": "11446498",
"type": "user"
},
"updated_at": "2020-07-26T18:44:45.869Z",
"updated_by": {
"id": "11446498",
"type": "user"
}
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The type of the shield barrier segment restriction for this member.
shield_information_barrier_segment_restriction "shield_information_barrier_segment_restriction"
The type and id of the requested shield information barrier segment.
Show child attributes
The type and id of the restricted shield information barrier segment.
Show child attributes
A base representation of a shield information barrier object.
Show child attributes
Returns the newly created Shield Information Barrier Segment Restriction object.
A standard representation of a segment restriction of a shield information barrier object.
The type and id of the requested shield information barrier segment.
Show child attributes
The type and id of the restricted shield information barrier segment.
Show child attributes
Shield information barrier segment restriction.
shield_information_barrier_segment_restriction "shield_information_barrier_segment_restriction"
The unique identifier for the shield information barrier segment restriction.
"11446498"
A base representation of a shield information barrier object.
Show child attributes
ISO date time string when this shield information barrier Segment Restriction object was created.
"2020-06-26T18:44:45.869Z"
The user who created this shield information barrier segment Restriction.
Show child attributes
ISO date time string when this shield information barrier segment Restriction was updated.
"2020-07-26T18:44:45.869Z"
The user that updated this shield information barrier segment Restriction.
Show child attributes
Was this page helpful?